Subject: Re: [PATCH 0/3 v2] Remove need for include/asm-ppc

From: David Gibson <[email-masked]>
Date: Tue, 21 Aug 2007 12:50:15 +1000

On Mon, Aug 20, 2007 at 09:47:30PM -0500, Josh Boyer wrote:
> On Tue, 21 Aug 2007 11:47:07 +1000
> David Gibson <[email-masked]> wrote:
> 
> > On Mon, Aug 20, 2007 at 10:44:31AM -0500, Scott Wood wrote:
> > > Josh Boyer wrote:
> > > > On Mon, 20 Aug 2007 10:32:43 -0500
> > > > Kumar Gala <[email-masked]> wrote:
> > > >>Do we want to go and move stuff back out of arch/powerpc/kernel
> > > >>back into arch/ppc/kernel?  or just include files?
> > > > 
> > > > 
> > > > What would be the point of doing that?  I would think we want the
> > > > opposite, in that we want to reuse as much of arch/powerpc during
> > > > arch/ppc compiles as possible.  Sort of shows how much is "left"
> > > > to port.
> > > 
> > > The point would be to keep the two trees separate, so that one
> > > doesn't need to worry about breaking arch/ppc when making a change
> > > to arch/powerpc.
> > 
> > Exactly so.  Having to be careful about not breaking arch/ppc when
> > doing cleanups for arch/powerpc is a pain in the bum.
> 
> How many times has that happened recently?  If it's fairly infrequent,

It's infrequent because I've shyed away from cleaning up shared files,
precisely because I'm afraid of breaking arch/ppc.

> then just do the split when you're doing the arch/powerpc cleanup.  I'm
> still not convinced that doing a wholesale split again is worth the
> effort.
> 
> But then again, I'm not opposed either.  Particularly if someone else
> is doing the work :).  It simply doesn't make tons of sense to my
> feeble little brain.  Seems like that time could be spent better
> elsewhere.
> 
> josh
> 

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson